# $Revision: 1.13 $, $Date: 2004/05/06 18:21:33 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	XML::SAXDriver::Sablotron perl module
Summary(pl):	Modu perla XML::SAXDriver::Sablotron
Name:		perl-XML-SAXDriver-Sablotron
Version:	0.30
Release:	2
License:	GPL v2+ or MPL v1.1
Group:		Development/Languages/Perl
Source0:	http://download-2.gingerall.cz/download/sablot/XML-SAXDriver-Sablotron-%{version}.tar.gz
# Source0-md5:	785db592e5ca705b3732816cbbd1d1f3
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-XML-SAX
BuildRequires:	perl-XML-Sablotron
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAXDriver::Sablotron is a SAX2 driver based on Sablotron XSLT
processor. An XSLT transformation result is outputted as a stream of
SAX2 events. The result tree is not build at all - SAX2 events are
emitted directly instead.

%description -l pl
XML::SAXDriver::Sablotron to sterownik SAX2 bazujcy na procesorze
XSLT Sablotron. Wyjciem transformacji XSLT jest strumien zdarze
SAX2. Wynikowe drzewo nie jest budowane - zdarzenia SAX2 s wywoywane
bezporednio.

%prep
%setup -q -n XML-SAXDriver-Sablotron-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%dir %{perl_vendorlib}/XML/SAXDriver
%{perl_vendorlib}/XML/SAXDriver/Sablotron.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-SAXDriver-Sablotron.spec,v $
Revision 1.13  2004/05/06 18:21:33  ankry
- fixed perl-devel BR

Revision 1.12  2004/05/05 06:33:15  ankry
- added tests, license fix, cosmetics

Revision 1.11  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:43  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 22:10:37  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.5  2002/11/25 15:06:54  marcus
- use new %%doc

Revision 1.4  2002/11/20 12:38:17  mis
- autoupdated to 0.30

Revision 1.3  2002/07/13 22:55:02  ankry
- Name: perl-XML-SAXDriver-Sablotron

Revision 1.2  2002/04/25 09:59:51  qboosh
- removed unused OPTIMIZE

Revision 1.1  2002/04/24 22:13:43  qboosh
- new

